# TODO: finish systemd support
#
# Conditonal build:
%bcond_without	gpl	# build with GPL code (md2.h, ipmi_ioctls.h)
#
Summary:	IPMI Management Utilities
Summary(pl.UTF-8):	Narzędzia zarządzające IPMI
Name:		ipmiutil
Version:	2.9.7
Release:	1
%if %{with gpl}
License:	GPL v2+
%else
License:	BSD
%endif
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/ipmiutil/%{name}-%{version}.tar.gz
# Source0-md5:	b5b60a2f913a21dd04b86ce2a3900928
Patch0:		%{name}-am.patch
Patch1:		%{name}-idiscover-ifaces_with_dot_in_name_support.patch
Patch2:		%{name}-libcrypto.patch
Patch3:		%{name}-symlink.patch
URL:		http://ipmiutil.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
Requires:	mibs-%{name}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		mibsdir		/usr/share/mibs

%description
The ipmiutil component package provides utilities to view the SEL
(showsel), perform a hardware reset (hwreset), and set up the Platform
Event Filter entry to allow BMC LAN alerts from OS Critical Stop
messages (pefconfig). It requires an IPMI driver (ipmidrvr) package in
order to talk to the BMC/firmware interface.

An IPMI driver can be provided by either the Intel IPMI driver
(/dev/imb) or the valinux IPMI driver (/dev/ipmikcs).

%description -l pl.UTF-8
Pakiet ipmiutil dostarcza narzędzia do oglądania SEL (showsel),
wykonywania sprzętowego resetu (hwreset) i ustawiania wpisu Platform
Event Filter, aby włączyć alarmy BMC LAN pochodzące od komunikatów OS
Critical Stop (pefconfig). Wymaga pakietu ze sterownikiem IPMI
(ipmidrvr) do porozumiewania się z interfejsem BMC/firmware.

Sterownik IPMI może być dostarczony przez sterownik Intel IPMI
(/dev/imb), albo przez sterownik valinux IPMI (/dev/ipmikcs).

%package libs
Summary:	ipmiutil library
Summary(pl.UTF-8):	Biblioteka ipmiutil
Group:		Libraries

%description libs
This package contains libipmiutil library.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę libipmiutil.

%package devel
Summary:	Header files and examples for ipmiutil library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki ipmiutil
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package contains header files and examples for developing
own programs which use libipmiutil.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i przykłady umożliwiające
tworzenie własnych programów wykorzystujących bibliotekę
ipmiutil.

%package static
Summary:	Static ipmiutil library
Summary(pl.UTF-8):	Statyczna biblioteka ipmiutil
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libipmiutil library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę libipmiutil.

%package -n mibs-%{name}
Summary:	MIB database from IPMI Management Utilities
Summary(pl.UTF-8):	Baza danych MIB z narzędzi zarządzających IPMI
Group:		Applications/System
Requires:	mibs-dirs
Requires:	mibs-net-snmp
Obsoletes:	ipmiutil-mibs

%description -n mibs-%{name}
This package contains MIB file from Intel:
- MIB file for PET events

%description -n mibs-%{name} -l pl.UTF-8
Ten pakiet zawiera plik MIB od Intela:
- plik MIB dla zdarzeń PET

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__rm} lib/lib*.a*

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_gpl:--enable-gpl} \
	--enable-shared \
	--enable-static

%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{mibsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysvinit=$RPM_BUILD_ROOT/etc/rc.d/init.d \
	sysdto=$RPM_BUILD_ROOT%{systemdunitdir}

%{__mv} $RPM_BUILD_ROOT%{_datadir}/ipmiutil/*.mib $RPM_BUILD_ROOT%{mibsdir}

install -d $RPM_BUILD_ROOT%{_includedir}
install util/ipmicmd.h $RPM_BUILD_ROOT%{_includedir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install util/{ipmi_sample.c,ipmi_sample_evt.c,isensor.c,ievents.c,isensor.h,ievents.h,Makefile} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/UserGuide scripts/{checksel,*.sh}
%attr(755,root,root) %{_bindir}/idiscover
%attr(755,root,root) %{_bindir}/ievents
%attr(755,root,root) %{_bindir}/ipmiutil
%attr(755,root,root) %{_sbindir}/ialarms
%attr(755,root,root) %{_sbindir}/icmd
%attr(755,root,root) %{_sbindir}/iconfig
%attr(755,root,root) %{_sbindir}/ifirewall
%attr(755,root,root) %{_sbindir}/ifru
%attr(755,root,root) %{_sbindir}/ifwum
%attr(755,root,root) %{_sbindir}/igetevent
%attr(755,root,root) %{_sbindir}/ihealth
%attr(755,root,root) %{_sbindir}/ihpm
%attr(755,root,root) %{_sbindir}/ilan
%attr(755,root,root) %{_sbindir}/ipicmg
%attr(755,root,root) %{_sbindir}/ipmi_port
%attr(755,root,root) %{_sbindir}/ireset
%attr(755,root,root) %{_sbindir}/isel
%attr(755,root,root) %{_sbindir}/iseltime
%attr(755,root,root) %{_sbindir}/isensor
%attr(755,root,root) %{_sbindir}/iserial
%attr(755,root,root) %{_sbindir}/isol
%attr(755,root,root) %{_sbindir}/iwdt
%attr(754,root,root) /etc/rc.d/init.d/ipmi_info
%attr(754,root,root) /etc/rc.d/init.d/ipmi_port
%attr(754,root,root) /etc/rc.d/init.d/ipmiutil_asy
%attr(754,root,root) /etc/rc.d/init.d/ipmiutil_evt
%attr(754,root,root) /etc/rc.d/init.d/ipmiutil_wdt
%{systemdunitdir}/ipmi_port.service
%{systemdunitdir}/ipmiutil_asy.service
%{systemdunitdir}/ipmiutil_evt.service
%{systemdunitdir}/ipmiutil_wdt.service
%{_datadir}/%{name}
%{_mandir}/man8/ialarms.8*
%{_mandir}/man8/icmd.8*
%{_mandir}/man8/iconfig.8*
%{_mandir}/man8/idcmi.8*
%{_mandir}/man8/idelloem.8*
%{_mandir}/man8/idiscover.8*
%{_mandir}/man8/iekanalyzer.8*
%{_mandir}/man8/ievents.8*
%{_mandir}/man8/ifirewall.8*
%{_mandir}/man8/ifru.8*
%{_mandir}/man8/ifwum.8*
%{_mandir}/man8/igetevent.8*
%{_mandir}/man8/ihealth.8*
%{_mandir}/man8/ihpm.8*
%{_mandir}/man8/ilan.8*
%{_mandir}/man8/ipicmg.8*
%{_mandir}/man8/ipmi_port.8*
%{_mandir}/man8/ipmiutil.8*
%{_mandir}/man8/ireset.8*
%{_mandir}/man8/isel.8*
%{_mandir}/man8/isensor.8*
%{_mandir}/man8/iserial.8*
%{_mandir}/man8/ismcoem.8*
%{_mandir}/man8/isol.8*
%{_mandir}/man8/isunoem.8*
%{_mandir}/man8/itsol.8*
%{_mandir}/man8/iwdt.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libipmiutil.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libipmiutil.so
%{_includedir}/ipmicmd.h
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libipmiutil.a

%files -n mibs-%{name}
%defattr(644,root,root,755)
%{mibsdir}/bmclanpet.mib
%changelog
* Thu Dec 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ipmiutil.git;a=log;h=master

* Sun Nov 29 2015 Jakub Bogusz <qboosh@pld-linux.org> beac319
- ldconfig for -libs, track soname

* Sun Nov 29 2015 Adam Osuchowski <adwol@pld-linux.org> ac6503d
- up to 2.9.7

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> b997c20
- updated to 2.8.8
- added am patch (fixes build with automake 1.13)

* Sun Dec 23 2012 Jakub Bogusz <qboosh@pld-linux.org> f9b1276
- updated to 2.8.7

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 1159741
- updated to 2.8.6

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 9230d55
- updated to 2.8.5

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 218bc3b
- updated to 2.8.4

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 5eaffff
- updated to 2.8.3

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> f8fc088
- updated to 2.8.2

* Sun Feb 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 020dae0
- updated to 2.8.1
- removed make-jN patch (no longer required)
- checksel is no longer registered in cron.daily

* Sun Oct 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 474b4fc
- updated to 2.7.9
- updated make-jN patch

* Sat Sep 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 773308f
- updated to 2.7.8
- updated make-jN patch

* Sat Jun 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 9f1066f
- updated to 2.7.7

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 5da12d0
- updated to 2.7.6

* Sun May 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 119fe19
- separate make install in doc no longer needed

* Fri May 06 2011 marti <marti@pld-linux.org> 3092341
- obsolete

* Fri May 06 2011 marti <marti@pld-linux.org> 6fb7d4e
- removed obsolete patch

* Fri May 06 2011 marti <marti@pld-linux.org> 51880b5
- up to 2.7.5
- removed patch cause already fixed

* Thu Jan 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 937d54e
- updated to 2.7.3

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 18d9ea0
- updated mibs- desc

